curl --request POST \
--url 'https://demo.notifuse.com/api/blogCategories.update?workspace_id=ws_1234567890' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"name": "Product",
"slug": "product",
"description": "<string>",
"seo": {
"meta_title": "Release notes for October",
"meta_description": "Everything that shipped this month.",
"og_title": "<string>",
"og_description": "<string>",
"og_image": "https://cdn.example.com/og/october.png",
"canonical_url": "https://blog.example.com/product/october-release",
"keywords": [
"release",
"changelog"
],
"meta_robots": "index,follow"
}
}'
const response = await fetch('https://demo.notifuse.com/api/blogCategories.update?workspace_id=ws_1234567890', {
method: 'POST',
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"name": "Product",
"slug": "product",
"description": "<string>",
"seo": {
"meta_title": "Release notes for October",
"meta_description": "Everything that shipped this month.",
"og_title": "<string>",
"og_description": "<string>",
"og_image": "https://cdn.example.com/og/october.png",
"canonical_url": "https://blog.example.com/product/october-release",
"keywords": [
"release",
"changelog"
],
"meta_robots": "index,follow"
}
})
});
const data = await response.json();
console.log(data);
import requests
url = "https://demo.notifuse.com/api/blogCategories.update?workspace_id=ws_1234567890"
payload = {
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"name": "Product",
"slug": "product",
"description": "<string>",
"seo": {
"meta_title": "Release notes for October",
"meta_description": "Everything that shipped this month.",
"og_title": "<string>",
"og_description": "<string>",
"og_image": "https://cdn.example.com/og/october.png",
"canonical_url": "https://blog.example.com/product/october-release",
"keywords": [
"release",
"changelog"
],
"meta_robots": "index,follow"
}
}
headers = {"Authorization": "Bearer <token>"}
response = requests.request("POST", url, json=payload, headers=headers)
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
payload := strings.NewReader(`{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"name": "Product",
"slug": "product",
"description": "<string>",
"seo": {
"meta_title": "Release notes for October",
"meta_description": "Everything that shipped this month.",
"og_title": "<string>",
"og_description": "<string>",
"og_image": "https://cdn.example.com/og/october.png",
"canonical_url": "https://blog.example.com/product/october-release",
"keywords": [
"release",
"changelog"
],
"meta_robots": "index,follow"
}
}`)
req, _ := http.NewRequest("POST", "https://demo.notifuse.com/api/blogCategories.update?workspace_id=ws_1234567890", payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"category": {
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"slug": "product",
"settings": {
"name": "Product",
"description": "Release notes and product announcements.",
"seo": {
"meta_title": "Release notes for October",
"meta_description": "Everything that shipped this month.",
"og_title": "<string>",
"og_description": "<string>",
"og_image": "https://cdn.example.com/og/october.png",
"canonical_url": "https://blog.example.com/product/october-release",
"keywords": [
"release",
"changelog"
],
"meta_robots": "index,follow"
}
},
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z"
}
}
{
"error": "category not found: blog category not found"
}
{
"error": "<string>"
}
{
"error": "Insufficient permissions: write access to blog required",
"resource": "blog",
"permission": "write"
}